The EU AI Act evidence pack for an MCP server
curl --request GET \
--url https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/governance/evidence-pack \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/governance/evidence-pack"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/governance/evidence-pack', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"sealedAt": "2023-11-07T05:31:56Z",
"checkpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"annexVIII": {},
"summary": {
"riskTier": "UNCLASSIFIED",
"effectiveRiskTier": "UNCLASSIFIED",
"approvalPending": true,
"accountableOwnerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerConfirmed": true,
"reviewDueAt": "2023-11-07T05:31:56Z",
"inheritedFromCount": 123,
"readinessPercent": 123,
"governanceState": "DRAFT",
"openIncidentCount": 123,
"nextIncidentDueAt": "2023-11-07T05:31:56Z"
},
"state": {
"state": "DRAFT",
"putIntoServiceAt": "2023-11-07T05:31:56Z",
"suspensionReason": "NON_CONFORMITY",
"lastEvent": {
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "<string>",
"state": "DRAFT",
"reasonCategory": "<string>",
"reason": "<string>",
"performedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readinessAtEvent": 123,
"createdAt": "2023-11-07T05:31:56Z"
},
"pendingApproval": {
"approvalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "RETIREMENT",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectName": "<string>",
"riskTier": "UNCLASSIFIED",
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"status": "PENDING",
"decidedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decidedAt": "2023-11-07T05:31:56Z",
"decisionNote": "<string>"
}
},
"classifications": [
{
"classificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 123,
"operatorRole": "PROVIDER",
"derivedTier": "UNCLASSIFIED",
"riskTier": "UNCLASSIFIED",
"legalBasis": [
"<string>"
],
"answers": {
"operatorRole": "PROVIDER",
"intendedPurpose": "<string>",
"assertedOutOfScope": true,
"prohibitedPractices": [
"SUBLIMINAL_OR_MANIPULATIVE_TECHNIQUES"
],
"annexISafetyComponent": true,
"annex3Categories": [
"BIOMETRIC_REMOTE_IDENTIFICATION"
],
"derogationConditions": [
"NARROW_PROCEDURAL_TASK"
],
"profilesNaturalPersons": true,
"transparencyObligations": [
"INTERACTS_WITH_NATURAL_PERSONS"
]
},
"rationale": "<string>",
"assessedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedAt": "2023-11-07T05:31:56Z",
"approvalPending": true,
"effectiveAt": "2023-11-07T05:31:56Z",
"reviewDueAt": "2023-11-07T05:31:56Z",
"placedOnMarketAt": "2023-12-25",
"supersedesSeq": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"assignments": [
{
"assignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "ACCOUNTABLE_OWNER",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalContact": {
"name": "<string>",
"organisation": "<string>",
"email": "<string>",
"address": "<string>"
},
"literacyAttestedAt": "2023-11-07T05:31:56Z",
"trainingRecordUrl": "<string>",
"confirmed": true,
"assignedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedAt": "2023-11-07T05:31:56Z"
}
],
"documents": [
{
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "RISK_ASSESSMENT",
"legalBasis": "<string>",
"title": "<string>",
"url": "<string>",
"externalRef": "<string>",
"contentSha256": "<string>",
"status": "DRAFT",
"issuedAt": "2023-12-25",
"validUntil": "2023-12-25",
"reviewDueAt": "2023-12-25",
"addedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supersedesDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"attestations": [
{
"attestationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"obligationId": "<string>",
"attestedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestedOn": "2023-12-25",
"note": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"readiness": {
"mandatoryApplicable": 123,
"mandatorySatisfied": 123,
"overallApplicable": 123,
"overallSatisfied": 123,
"mandatoryPercent": 123,
"overallPercent": 123,
"signalsDegraded": true,
"computedAt": "2023-11-07T05:31:56Z",
"obligations": [
{
"id": "<string>",
"article": "<string>",
"label": "<string>",
"fixHint": "<string>",
"mandatory": true,
"satisfierKind": "DOCUMENT",
"documentKind": "RISK_ASSESSMENT",
"control": "EVENT_LOGGING",
"status": "SATISFIED",
"detail": "<string>",
"fixTarget": "CLASSIFICATION"
}
]
},
"stateEvents": [
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "<string>",
"state": "DRAFT",
"reasonCategory": "<string>",
"reason": "<string>",
"performedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readinessAtEvent": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"retirement": {
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectName": "<string>",
"status": "OPEN",
"reasonCategory": "END_OF_LIFE",
"reason": "<string>",
"marketAction": "NONE",
"successorSubjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impact": {
"subscribers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"subscriptions": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"userSubscribers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"channelSubscribers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"mcpServers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"llmGateways": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"policyBindings": 123,
"openHitlHolds": 123,
"monitors": 123,
"lastPassedEvaluationRunAt": "2023-11-07T05:31:56Z",
"computedAt": "2023-11-07T05:31:56Z"
},
"checklist": [
{
"id": "<string>",
"article": "<string>",
"label": "<string>",
"mandatory": true,
"satisfied": true,
"detail": "<string>",
"fixTarget": "CLASSIFICATION"
}
],
"checklistComplete": true,
"approvalRequired": true,
"approval": {
"approvalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "RETIREMENT",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectName": "<string>",
"riskTier": "UNCLASSIFIED",
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"status": "PENDING",
"decidedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decidedAt": "2023-11-07T05:31:56Z",
"decisionNote": "<string>"
},
"initiatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"completedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completedAt": "2023-11-07T05:31:56Z",
"checkpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logRetentionUntil": "2023-12-25",
"documentationRetentionUntil": "2023-12-25",
"putIntoServiceAt": "2023-11-07T05:31:56Z"
},
"readinessHistory": [
{}
]
}Governance
The EU AI Act evidence pack for an MCP server
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | AUDIT | READ | AUDIT:READ |
GET
/
registry
/
v1
/
mcp-servers
/
{mcpServerId}
/
governance
/
evidence-pack
The EU AI Act evidence pack for an MCP server
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Response
200 - */*
OK
Available options:
AGENT, MCP_SERVER, LLM_GATEWAY Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
